
package jp.riken.brain.ni.samuraigraph.base;

import java.awt.Color;

/**
 *
 *
 */
public interface SGIFigureDialogObserver
	extends SGIPropertyDialogObserver
{

	public float getFigureX();
	
	public float getFigureY();
	
	public float getFigureWidth();
	
	public float getFigureHeight();

	public float getSpaceAxisLineAndNumber();
	
	public float getSpaceNumberAndTitle();

	public boolean isTransparent();

	public Color getBackgroundColor();

	public boolean isLegendVisible();

	public void setFigureX( final float x );

	public void setFigureY( final float y );

	public void setFigureWidth( final float w );

	public void setFigureHeight( final float h );
	
	public boolean setSpaceAxisLineAndNumber( final float space );

	public boolean setSpaceNumberAndTitle( final float space );

	public boolean setTransparent( final boolean b );

	public boolean setBackgroundColor( final Color cl );

	public boolean setLegendVisible( final boolean b );


}


